## ICalReqstat

ICalReqstat

## Functions

ICalReqstat * | i_cal_reqstat_new_from_string ()
gchar * | i_cal_reqstat_to_string ()
ICalRequestStatus | i_cal_reqstat_get_code ()
void | i_cal_reqstat_set_code ()
const gchar * | i_cal_reqstat_get_desc ()
const gchar * | i_cal_reqstat_get_debug ()

## Types and Values

| ICalReqstat
struct | ICalReqstatClass

## Object Hierarchy

        GObject
        ╰── ICalObject
            ╰── ICalReqstat

## Description

## Functions

### i_cal_reqstat_new_from_string ()

    ICalReqstat *
    i_cal_reqstat_new_from_string (const gchar *str);

Creates a ICalReqstat from string.

#### Parameters

str | A string |

#### Returns

The newly created ICalReqstat.

[transfer full]

Since: 1.0

### i_cal_reqstat_to_string ()

    gchar *
    i_cal_reqstat_to_string (ICalReqstat *stat);

Converts ICalReqstat to a string representation.

#### Parameters

stat | A ICalReqstat |

#### Returns

A string.

[transfer full]

Since: 1.0

### i_cal_reqstat_get_code ()

    ICalRequestStatus
    i_cal_reqstat_get_code (ICalReqstat *reqstat);

Gets the code of ICalReqstat.

#### Parameters

reqstat | The ICalReqstat |

#### Returns

The code of `reqstat` .

Since: 1.0

### i_cal_reqstat_set_code ()

    void
    i_cal_reqstat_set_code (ICalReqstat *reqstat,
                            ICalRequestStatus code);

Sets the code of ICalReqstat.

#### Parameters

reqstat | The ICalReqstat |
code | The code of `reqstat` |

Since: 1.0

### i_cal_reqstat_get_desc ()

    const gchar *
    i_cal_reqstat_get_desc (const ICalReqstat *reqstat);

Gets the desc of ICalReqstat.

#### Parameters

reqstat | The ICalReqstat |

#### Returns

The desc of `reqstat` .

[transfer none]

Since: 1.0

### i_cal_reqstat_get_debug ()

    const gchar *
    i_cal_reqstat_get_debug (const ICalReqstat *reqstat);

Gets the debug of ICalReqstat.

#### Parameters

reqstat | The ICalReqstat |

#### Returns

The debug of `reqstat` .

[transfer none]

Since: 1.0

## Types and Values

### ICalReqstat

    typedef struct _ICalReqstat ICalReqstat;

This is the ICalReqstat instance.

### struct ICalReqstatClass

    struct ICalReqstatClass {
    };

This is the ICalReqstat class.